/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ021HV01.java

*

* Created on 14/05/09 10:28:52

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ021HS01V01 extends Q02bTablaBD implements Q02bITablaBDQ021HS01V01 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q021HT00_NI */

    public final static int COLUMN_Q021HT00_NI = 1;

    /** Constante para la propiedad Q021HT00_NI */

    public final static String NOMCOLUMN_Q021HT00_NI = "Q021HT00_NI";

    /** Constante para la propiedad Q021HT00_NI */

    public final static int TAM_MAXIMO_Q021HT00_NI = 10;

    /** Constante para la propiedad Q021HT00_COD */

    public final static int COLUMN_Q021HT00_COD = 2;

    /** Constante para la propiedad Q021HT00_COD */

    public final static String NOMCOLUMN_Q021HT00_COD = "Q021HT00_COD";

    /** Constante para la propiedad Q021HT00_COD */

    public final static int TAM_MAXIMO_Q021HT00_COD = 15;

    /** Constante para la propiedad Q021HT00_DESC */

    public final static int COLUMN_Q021HT00_DESC = 3;

    /** Constante para la propiedad Q021HT00_DESC */

    public final static String NOMCOLUMN_Q021HT00_DESC = "Q021HT00_DESC";

    /** Constante para la propiedad Q021HT00_DESC */

    public final static int TAM_MAXIMO_Q021HT00_DESC = 50;

    /** Constante para la propiedad Q021HT00_NI_MULTIPLE */

    public final static int COLUMN_Q021HT00_NI_MULTIPLE = 4;

    /** Constante para la propiedad Q021HT00_NI_MULTIPLE */

    public final static String NOMCOLUMN_Q021HT00_NI_MULTIPLE = "Q021HT00_NI_MULTIPLE";

    /** Constante para la propiedad Q021HT00_NI_MULTIPLE */

    public final static int TAM_MAXIMO_Q021HT00_NI_MULTIPLE = 91;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 4;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q021HT00_NI_WHERE */

    protected Long Q021HT00_NI_WHERE = null;

    protected boolean Q021HT00_NI_MODIF = false;

    /** Holds value of property Q021HT00_COD_WHERE */

    protected String Q021HT00_COD_WHERE = null;

    protected boolean Q021HT00_COD_MODIF = false;

    /** Holds value of property Q021HT00_DESC_WHERE */

    protected String Q021HT00_DESC_WHERE = null;

    protected boolean Q021HT00_DESC_MODIF = false;

    /** Holds value of property Q021HT00_NI_MULTIPLE_WHERE */

    protected String Q021HT00_NI_MULTIPLE_WHERE = null;

    protected boolean Q021HT00_NI_MULTIPLE_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "14/05/09 10:28:52";

    protected String columnas[] =  {"Q021HT00_NI", "Q021HT00_COD", "Q021HT00_DESC", "Q021HT00_NI_MULTIPLE"};

    protected int tipos[] =  {3, 12, 12, 12};

    protected int longitudes[] =  {10, 15, 50, 91};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q021HT00_NI", "Q021HT00_COD", "Q021HT00_DESC", "Q021HT00_NI_MULTIPLE"};

    protected boolean nullables[] =  {false,false,false,true};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q021HS01V01";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ021HS01V01 iTablaBDQ021HS01V01 = null;

    /** Creates new Q021HV01 */

    public Q02bTablaBDQ021HS01V01() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q021HS01V01 */

    public Q02bTablaBDQ021HS01V01(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ021HS01V01.setQ021HT00_NI_WHERE(null);

        iTablaBDQ021HS01V01.setQ021HT00_NI_MODIF(false);

        iTablaBDQ021HS01V01.setQ021HT00_COD_WHERE(null);

        iTablaBDQ021HS01V01.setQ021HT00_COD_MODIF(false);

        iTablaBDQ021HS01V01.setQ021HT00_DESC_WHERE(null);

        iTablaBDQ021HS01V01.setQ021HT00_DESC_MODIF(false);

        iTablaBDQ021HS01V01.setQ021HT00_NI_MULTIPLE_WHERE(null);

        iTablaBDQ021HS01V01.setQ021HT00_NI_MULTIPLE_MODIF(false);

        iTablaBDQ021HS01V01.setNumMaxRegistros(0);

        iTablaBDQ021HS01V01.setNumInicio(0);

        iTablaBDQ021HS01V01.setNumFinal(0);

        iTablaBDQ021HS01V01.setOrderBy(null);

        iTablaBDQ021HS01V01.setAditionalWhere(null);

        iTablaBDQ021HS01V01.setInitialWhere(null);

        iTablaBDQ021HS01V01.setFixedWhere(null);

        iTablaBDQ021HS01V01.setDistinct(null);

        iTablaBDQ021HS01V01.setMax(null);

        columnasSelect = null;

        tableFrom = "Q021HS01V01";

        iTablaBDQ021HS01V01.setUncommittedRead(false);

        iTablaBDQ021HS01V01.setForUpdate(false);

        iTablaBDQ021HS01V01.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ021HS01V01.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ021HS01V01.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ021HS01V01.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ021HS01V01.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ021HS01V01.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ021HS01V01.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ021HS01V01.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ021HS01V01.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ021HS01V01.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ021HS01V01.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ021HS01V01.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ021HS01V01.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ021HS01V01.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ021HS01V01.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ021HS01V01.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ021HS01V01.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ021HS01V01.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ021HS01V01.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ021HS01V01.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ021HS01V01.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ021HS01V01.selectMax();

    }













    public void setQ021HT00_NI_WHERE(long valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_NI_WHERE=new Long(valor);

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_NI_WHERE(valor);

        }

    }



    public void setQ021HT00_NI_WHERE(Long valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_NI_WHERE=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_NI_WHERE(valor);

        }

    }



    public void setQ021HT00_NI_MODIF(boolean valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_NI_MODIF=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_NI_MODIF(valor);

        }

    }



    public void setQ021HT00_COD_WHERE(String valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_COD_WHERE=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_COD_WHERE(valor);

        }

    }



    public void setQ021HT00_COD_MODIF(boolean valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_COD_MODIF=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_COD_MODIF(valor);

        }

    }



    public void setQ021HT00_DESC_WHERE(String valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_DESC_WHERE=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_DESC_WHERE(valor);

        }

    }



    public void setQ021HT00_DESC_MODIF(boolean valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_DESC_MODIF=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_DESC_MODIF(valor);

        }

    }



    public void setQ021HT00_NI_MULTIPLE_WHERE(String valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_NI_MULTIPLE_WHERE=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_NI_MULTIPLE_WHERE(valor);

        }

    }



    public void setQ021HT00_NI_MULTIPLE_MODIF(boolean valor) {

        if (iTablaBDQ021HS01V01==null){

        this.Q021HT00_NI_MULTIPLE_MODIF=valor;

        }else{

           iTablaBDQ021HS01V01.setQ021HT00_NI_MULTIPLE_MODIF(valor);

        }

    }



    /** Getter for property Q021HT00_NI_WHERE.

    * @return Value of property Q021HT00_NI_WHERE.

    */

    public Long getQ021HT00_NI_WHERE() {

        if (iTablaBDQ021HS01V01==null){

            return this.Q021HT00_NI_WHERE;

        }else{

           return iTablaBDQ021HS01V01.getQ021HT00_NI_WHERE();

        }

    }



    /** Getter for property Q021HT00_COD_WHERE.

    * @return Value of property Q021HT00_COD_WHERE.

    */

    public String getQ021HT00_COD_WHERE() {

        if (iTablaBDQ021HS01V01==null){

            return this.Q021HT00_COD_WHERE;

        }else{

           return iTablaBDQ021HS01V01.getQ021HT00_COD_WHERE();

        }

    }



    /** Getter for property Q021HT00_DESC_WHERE.

    * @return Value of property Q021HT00_DESC_WHERE.

    */

    public String getQ021HT00_DESC_WHERE() {

        if (iTablaBDQ021HS01V01==null){

            return this.Q021HT00_DESC_WHERE;

        }else{

           return iTablaBDQ021HS01V01.getQ021HT00_DESC_WHERE();

        }

    }



    /** Getter for property Q021HT00_NI_MULTIPLE_WHERE.

    * @return Value of property Q021HT00_NI_MULTIPLE_WHERE.

    */

    public String getQ021HT00_NI_MULTIPLE_WHERE() {

        if (iTablaBDQ021HS01V01==null){

            return this.Q021HT00_NI_MULTIPLE_WHERE;

        }else{

           return iTablaBDQ021HS01V01.getQ021HT00_NI_MULTIPLE_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ021HS01V01.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ021HS01V01==null){

           return sFechaClase;

        }else{

           return iTablaBDQ021HS01V01.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ021HS01V01==null){

           return this.idConexion;

        }else{

           return iTablaBDQ021HS01V01.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ021HS01V01==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ021HS01V01.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ021HS01V01==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ021HS01V01.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ021HS01V01==null){

           return this.numInicio;

        }else{

           return iTablaBDQ021HS01V01.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ021HS01V01==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ021HS01V01.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ021HS01V01==null){

           return this.numFinal;

        }else{

           return iTablaBDQ021HS01V01.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ021HS01V01==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ021HS01V01.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ021HS01V01==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ021HS01V01.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ021HS01V01==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ021HS01V01.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ021HS01V01==null){

           return this.limitRows;

        }else{

           return iTablaBDQ021HS01V01.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ021HS01V01==null){

           return this.connection;

        }else{

           return iTablaBDQ021HS01V01.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ021HS01V01.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ021HS01V01==null){

           return this.orderBy;

        }else{

           return iTablaBDQ021HS01V01.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ021HS01V01.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ021HS01V01==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ021HS01V01.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ021HS01V01==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ021HS01V01.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ021HS01V01.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ021HS01V01==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ021HS01V01.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ021HS01V01.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.distinct = valor;

        }else{

           iTablaBDQ021HS01V01.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ021HS01V01==null){

           return this.distinct;

        }else{

           return iTablaBDQ021HS01V01.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ021HS01V01==null){

           this.max = valor;

        }else{

           iTablaBDQ021HS01V01.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ021HS01V01==null){

           return this.max;

        }else{

           return iTablaBDQ021HS01V01.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ021HS01V01==null){

           super.freeResources();

        }else{

           iTablaBDQ021HS01V01.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ021HS01V01==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ021HS01V01.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

